#ifndef XEXPRESSIONENTRY_H
#define XEXPRESSIONENTRY_H

#include "xasset.h"
#include "xentryinternaldata.h"

class XExpressionEntry : public XAsset
{
public:
    explicit XExpressionEntry();
    ~XExpressionEntry() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    int mType;
    XEntryInternalData mData;
};

#endif // XEXPRESSIONENTRY_H
